{-# LANGUAGE OverloadedStrings #-}

module Graphics.Icons.Octicon where

import Data.String
import Graphics.Icons.Types

data Octicon = Octicon String
  deriving (Show, Eq)

instance IconCode Octicon where
  iconPango (Octicon code) = "<span font_family='github-octicons'>&#x" ++ code ++ ";</span>"

instance IsString Octicon where
  fromString = Octicon

alertCode :: Octicon
alertCode = "f02d"
arrowDownCode :: Octicon
arrowDownCode = "f03f"
arrowLeftCode :: Octicon
arrowLeftCode = "f040"
arrowRightCode :: Octicon
arrowRightCode = "f03e"
arrowSmallDownCode :: Octicon
arrowSmallDownCode = "f0a0"
arrowSmallLeftCode :: Octicon
arrowSmallLeftCode = "f0a1"
arrowSmallRightCode :: Octicon
arrowSmallRightCode = "f071"
arrowSmallUpCode :: Octicon
arrowSmallUpCode = "f09f"
arrowUpCode :: Octicon
arrowUpCode = "f03d"
bookCode :: Octicon
bookCode = "f007"
bookmarkCode :: Octicon
bookmarkCode = "f07b"
briefcaseCode :: Octicon
briefcaseCode = "f0d3"
broadcastCode :: Octicon
broadcastCode = "f048"
browserCode :: Octicon
browserCode = "f0c5"
bugCode :: Octicon
bugCode = "f091"
calendarCode :: Octicon
calendarCode = "f068"
checkCode :: Octicon
checkCode = "f03a"
checklistCode :: Octicon
checklistCode = "f076"
chevronDownCode :: Octicon
chevronDownCode = "f0a3"
chevronLeftCode :: Octicon
chevronLeftCode = "f0a4"
chevronRightCode :: Octicon
chevronRightCode = "f078"
chevronUpCode :: Octicon
chevronUpCode = "f0a2"
circleSlashCode :: Octicon
circleSlashCode = "f084"
circuitBoardCode :: Octicon
circuitBoardCode = "f0d6"
clippyCode :: Octicon
clippyCode = "f035"
clockCode :: Octicon
clockCode = "f046"
cloudDownloadCode :: Octicon
cloudDownloadCode = "f00b"
cloudUploadCode :: Octicon
cloudUploadCode = "f00c"
codeCode :: Octicon
codeCode = "f05f"
commentCode :: Octicon
commentCode = "f02b"
commentDiscussionCode :: Octicon
commentDiscussionCode = "f04f"
creditCardCode :: Octicon
creditCardCode = "f045"
dashCode :: Octicon
dashCode = "f0ca"
dashboardCode :: Octicon
dashboardCode = "f07d"
databaseCode :: Octicon
databaseCode = "f096"
deviceCameraCode :: Octicon
deviceCameraCode = "f056"
deviceCameraVideoCode :: Octicon
deviceCameraVideoCode = "f057"
deviceDesktopCode :: Octicon
deviceDesktopCode = "f27c"
deviceMobileCode :: Octicon
deviceMobileCode = "f038"
diffCode :: Octicon
diffCode = "f04d"
diffAddedCode :: Octicon
diffAddedCode = "f06b"
diffIgnoredCode :: Octicon
diffIgnoredCode = "f099"
diffModifiedCode :: Octicon
diffModifiedCode = "f06d"
diffRemovedCode :: Octicon
diffRemovedCode = "f06c"
diffRenamedCode :: Octicon
diffRenamedCode = "f06e"
ellipsisCode :: Octicon
ellipsisCode = "f09a"
eyeCode :: Octicon
eyeCode = "f04e"
fileBinaryCode :: Octicon
fileBinaryCode = "f094"
fileCodeCode :: Octicon
fileCodeCode = "f010"
fileDirectoryCode :: Octicon
fileDirectoryCode = "f016"
fileMediaCode :: Octicon
fileMediaCode = "f012"
filePdfCode :: Octicon
filePdfCode = "f014"
fileSubmoduleCode :: Octicon
fileSubmoduleCode = "f017"
fileSymlinkDirectoryCode :: Octicon
fileSymlinkDirectoryCode = "f0b1"
fileSymlinkFileCode :: Octicon
fileSymlinkFileCode = "f0b0"
fileTextCode :: Octicon
fileTextCode = "f011"
fileZipCode :: Octicon
fileZipCode = "f013"
flameCode :: Octicon
flameCode = "f0d2"
foldCode :: Octicon
foldCode = "f0cc"
gearCode :: Octicon
gearCode = "f02f"
giftCode :: Octicon
giftCode = "f042"
gistCode :: Octicon
gistCode = "f00e"
gistSecretCode :: Octicon
gistSecretCode = "f08c"
gitBranchCode :: Octicon
gitBranchCode = "f020"
gitCommitCode :: Octicon
gitCommitCode = "f01f"
gitCompareCode :: Octicon
gitCompareCode = "f0ac"
gitMergeCode :: Octicon
gitMergeCode = "f023"
gitPullRequestCode :: Octicon
gitPullRequestCode = "f009"
globeCode :: Octicon
globeCode = "f0b6"
graphCode :: Octicon
graphCode = "f043"
beakerCode :: Octicon
beakerCode = "f0dd"
heartCode :: Octicon
heartCode = "2665"
historyCode :: Octicon
historyCode = "f07e"
homeCode :: Octicon
homeCode = "f08d"
horizontalRuleCode :: Octicon
horizontalRuleCode = "f070"
hourglassCode :: Octicon
hourglassCode = "f09e"
hubotCode :: Octicon
hubotCode = "f09d"
inboxCode :: Octicon
inboxCode = "f0cf"
infoCode :: Octicon
infoCode = "f059"
issueClosedCode :: Octicon
issueClosedCode = "f028"
issueOpenedCode :: Octicon
issueOpenedCode = "f026"
issueReopenedCode :: Octicon
issueReopenedCode = "f027"
jerseyCode :: Octicon
jerseyCode = "f019"
keyCode :: Octicon
keyCode = "f049"
keyboardCode :: Octicon
keyboardCode = "f00d"
lawCode :: Octicon
lawCode = "f0d8"
lightBulbCode :: Octicon
lightBulbCode = "f000"
linkCode :: Octicon
linkCode = "f05c"
linkExternalCode :: Octicon
linkExternalCode = "f07f"
listOrderedCode :: Octicon
listOrderedCode = "f062"
listUnorderedCode :: Octicon
listUnorderedCode = "f061"
locationCode :: Octicon
locationCode = "f060"
lockCode :: Octicon
lockCode = "f06a"
logoGithubCode :: Octicon
logoGithubCode = "f092"
mailCode :: Octicon
mailCode = "f03b"
mailReadCode :: Octicon
mailReadCode = "f03c"
mailReplyCode :: Octicon
mailReplyCode = "f051"
markGithubCode :: Octicon
markGithubCode = "f00a"
markdownCode :: Octicon
markdownCode = "f0c9"
megaphoneCode :: Octicon
megaphoneCode = "f077"
mentionCode :: Octicon
mentionCode = "f0be"
milestoneCode :: Octicon
milestoneCode = "f075"
mirrorCode :: Octicon
mirrorCode = "f024"
mortarBoardCode :: Octicon
mortarBoardCode = "f0d7"
muteCode :: Octicon
muteCode = "f080"
noNewlineCode :: Octicon
noNewlineCode = "f09c"
octofaceCode :: Octicon
octofaceCode = "f008"
organizationCode :: Octicon
organizationCode = "f037"
packageCode :: Octicon
packageCode = "f0c4"
paintcanCode :: Octicon
paintcanCode = "f0d1"
pencilCode :: Octicon
pencilCode = "f058"
personCode :: Octicon
personCode = "f018"
pinCode :: Octicon
pinCode = "f041"
plugCode :: Octicon
plugCode = "f0d4"
plusCode :: Octicon
plusCode = "f05d"
primitiveDotCode :: Octicon
primitiveDotCode = "f052"
primitiveSquareCode :: Octicon
primitiveSquareCode = "f053"
pulseCode :: Octicon
pulseCode = "f085"
puzzleCode :: Octicon
puzzleCode = "f0c0"
questionCode :: Octicon
questionCode = "f02c"
quoteCode :: Octicon
quoteCode = "f063"
radioTowerCode :: Octicon
radioTowerCode = "f030"
repoCode :: Octicon
repoCode = "f001"
repoCloneCode :: Octicon
repoCloneCode = "f04c"
repoForcePushCode :: Octicon
repoForcePushCode = "f04a"
repoForkedCode :: Octicon
repoForkedCode = "f002"
repoPullCode :: Octicon
repoPullCode = "f006"
repoPushCode :: Octicon
repoPushCode = "f005"
rocketCode :: Octicon
rocketCode = "f033"
rssCode :: Octicon
rssCode = "f034"
rubyCode :: Octicon
rubyCode = "f047"
searchCode :: Octicon
searchCode = "f02e"
serverCode :: Octicon
serverCode = "f097"
settingsCode :: Octicon
settingsCode = "f07c"
signInCode :: Octicon
signInCode = "f036"
signOutCode :: Octicon
signOutCode = "f032"
squirrelCode :: Octicon
squirrelCode = "f0b2"
starCode :: Octicon
starCode = "f02a"
stepsCode :: Octicon
stepsCode = "f0c7"
stopCode :: Octicon
stopCode = "f08f"
syncCode :: Octicon
syncCode = "f087"
tagCode :: Octicon
tagCode = "f015"
telescopeCode :: Octicon
telescopeCode = "f088"
terminalCode :: Octicon
terminalCode = "f0c8"
threeBarsCode :: Octicon
threeBarsCode = "f05e"
thumbsdownCode :: Octicon
thumbsdownCode = "f0db"
thumbsupCode :: Octicon
thumbsupCode = "f0da"
toolsCode :: Octicon
toolsCode = "f031"
trashcanCode :: Octicon
trashcanCode = "f0d0"
triangleDownCode :: Octicon
triangleDownCode = "f05b"
triangleLeftCode :: Octicon
triangleLeftCode = "f044"
triangleRightCode :: Octicon
triangleRightCode = "f05a"
triangleUpCode :: Octicon
triangleUpCode = "f0aa"
unfoldCode :: Octicon
unfoldCode = "f039"
unmuteCode :: Octicon
unmuteCode = "f0ba"
versionsCode :: Octicon
versionsCode = "f064"
xCode :: Octicon
xCode = "f081"
zapCode :: Octicon
zapCode = "26a1"
