{-# LANGUAGE OverloadedStrings #-}

module Graphics.Icons.Weather where

import Data.String
import Graphics.Icons.Types

data WeatherIcon = WeatherIcon String
  deriving (Show, Eq)

instance IconCode WeatherIcon where
  iconPango (WeatherIcon code) = "<span font_family='Weather Icons'> &#x" ++ code ++ ";</span>"

instance IsString WeatherIcon where
  fromString = WeatherIcon


alienCode :: WeatherIcon
alienCode = "f075"
barometerCode :: WeatherIcon
barometerCode = "f079"
celsiusCode :: WeatherIcon
celsiusCode = "f03c"
cloudCode :: WeatherIcon
cloudCode = "f041"
cloudDownCode :: WeatherIcon
cloudDownCode = "f03d"
cloudRefreshCode :: WeatherIcon
cloudRefreshCode = "f03e"
cloudUpCode :: WeatherIcon
cloudUpCode = "f040"
cloudyCode :: WeatherIcon
cloudyCode = "f013"
cloudyGustsCode :: WeatherIcon
cloudyGustsCode = "f011"
cloudyWindyCode :: WeatherIcon
cloudyWindyCode = "f012"
dayCloudyCode :: WeatherIcon
dayCloudyCode = "f002"
dayCloudyGustsCode :: WeatherIcon
dayCloudyGustsCode = "f000"
dayCloudyHighCode :: WeatherIcon
dayCloudyHighCode = "f07d"
dayCloudyWindyCode :: WeatherIcon
dayCloudyWindyCode = "f001"
dayFogCode :: WeatherIcon
dayFogCode = "f003"
dayHailCode :: WeatherIcon
dayHailCode = "f004"
dayHazeCode :: WeatherIcon
dayHazeCode = "f0b6"
dayLightWindCode :: WeatherIcon
dayLightWindCode = "f0c4"
dayLightningCode :: WeatherIcon
dayLightningCode = "f005"
dayRainCode :: WeatherIcon
dayRainCode = "f008"
dayRainMixCode :: WeatherIcon
dayRainMixCode = "f006"
dayRainWindCode :: WeatherIcon
dayRainWindCode = "f007"
dayShowersCode :: WeatherIcon
dayShowersCode = "f009"
daySleetCode :: WeatherIcon
daySleetCode = "f0b2"
daySleetStormCode :: WeatherIcon
daySleetStormCode = "f068"
daySnowCode :: WeatherIcon
daySnowCode = "f00a"
daySnowThunderstormCode :: WeatherIcon
daySnowThunderstormCode = "f06b"
daySnowWindCode :: WeatherIcon
daySnowWindCode = "f065"
daySprinkleCode :: WeatherIcon
daySprinkleCode = "f00b"
dayStormShowersCode :: WeatherIcon
dayStormShowersCode = "f00e"
daySunnyCode :: WeatherIcon
daySunnyCode = "f00d"
daySunnyOvercastCode :: WeatherIcon
daySunnyOvercastCode = "f00c"
dayThunderstormCode :: WeatherIcon
dayThunderstormCode = "f010"
dayWindyCode :: WeatherIcon
dayWindyCode = "f085"
degreesCode :: WeatherIcon
degreesCode = "f042"
directionDownCode :: WeatherIcon
directionDownCode = "f044"
directionDownLeftCode :: WeatherIcon
directionDownLeftCode = "f043"
directionDownRightCode :: WeatherIcon
directionDownRightCode = "f088"
directionLeftCode :: WeatherIcon
directionLeftCode = "f048"
directionRightCode :: WeatherIcon
directionRightCode = "f04d"
directionUpCode :: WeatherIcon
directionUpCode = "f058"
directionUpLeftCode :: WeatherIcon
directionUpLeftCode = "f087"
directionUpRightCode :: WeatherIcon
directionUpRightCode = "f057"
dustCode :: WeatherIcon
dustCode = "f063"
earthquakeCode :: WeatherIcon
earthquakeCode = "f0c6"
fahrenheitCode :: WeatherIcon
fahrenheitCode = "f045"
fireCode :: WeatherIcon
fireCode = "f0c7"
floodCode :: WeatherIcon
floodCode = "f07c"
fogCode :: WeatherIcon
fogCode = "f014"
forecastIoClearDayCode :: WeatherIcon
forecastIoClearDayCode = "f00d"
forecastIoClearNightCode :: WeatherIcon
forecastIoClearNightCode = "f02e"
forecastIoCloudyCode :: WeatherIcon
forecastIoCloudyCode = "f013"
forecastIoFogCode :: WeatherIcon
forecastIoFogCode = "f014"
forecastIoHailCode :: WeatherIcon
forecastIoHailCode = "f015"
forecastIoPartlyCloudyDayCode :: WeatherIcon
forecastIoPartlyCloudyDayCode = "f002"
forecastIoPartlyCloudyNightCode :: WeatherIcon
forecastIoPartlyCloudyNightCode = "f031"
forecastIoRainCode :: WeatherIcon
forecastIoRainCode = "f019"
forecastIoSleetCode :: WeatherIcon
forecastIoSleetCode = "f0b5"
forecastIoSnowCode :: WeatherIcon
forecastIoSnowCode = "f01b"
forecastIoThunderstormCode :: WeatherIcon
forecastIoThunderstormCode = "f01e"
forecastIoTornadoCode :: WeatherIcon
forecastIoTornadoCode = "f056"
forecastIoWindCode :: WeatherIcon
forecastIoWindCode = "f050"
galeWarningCode :: WeatherIcon
galeWarningCode = "f0cd"
hailCode :: WeatherIcon
hailCode = "f015"
horizonCode :: WeatherIcon
horizonCode = "f047"
horizonAltCode :: WeatherIcon
horizonAltCode = "f046"
hotCode :: WeatherIcon
hotCode = "f072"
humidityCode :: WeatherIcon
humidityCode = "f07a"
hurricaneCode :: WeatherIcon
hurricaneCode = "f073"
hurricaneWarningCode :: WeatherIcon
hurricaneWarningCode = "f0cf"
lightningCode :: WeatherIcon
lightningCode = "f016"
lunarEclipseCode :: WeatherIcon
lunarEclipseCode = "f070"
meteorCode :: WeatherIcon
meteorCode = "f071"
moon0Code :: WeatherIcon
moon0Code = "f095"
moon1Code :: WeatherIcon
moon1Code = "f096"
moon10Code :: WeatherIcon
moon10Code = "f09f"
moon11Code :: WeatherIcon
moon11Code = "f0a0"
moon12Code :: WeatherIcon
moon12Code = "f0a1"
moon13Code :: WeatherIcon
moon13Code = "f0a2"
moon14Code :: WeatherIcon
moon14Code = "f0a3"
moon15Code :: WeatherIcon
moon15Code = "f0a4"
moon16Code :: WeatherIcon
moon16Code = "f0a5"
moon17Code :: WeatherIcon
moon17Code = "f0a6"
moon18Code :: WeatherIcon
moon18Code = "f0a7"
moon19Code :: WeatherIcon
moon19Code = "f0a8"
moon2Code :: WeatherIcon
moon2Code = "f097"
moon20Code :: WeatherIcon
moon20Code = "f0a9"
moon21Code :: WeatherIcon
moon21Code = "f0aa"
moon22Code :: WeatherIcon
moon22Code = "f0ab"
moon23Code :: WeatherIcon
moon23Code = "f0ac"
moon24Code :: WeatherIcon
moon24Code = "f0ad"
moon25Code :: WeatherIcon
moon25Code = "f0ae"
moon26Code :: WeatherIcon
moon26Code = "f0af"
moon27Code :: WeatherIcon
moon27Code = "f0b0"
moon3Code :: WeatherIcon
moon3Code = "f098"
moon4Code :: WeatherIcon
moon4Code = "f099"
moon5Code :: WeatherIcon
moon5Code = "f09a"
moon6Code :: WeatherIcon
moon6Code = "f09b"
moon7Code :: WeatherIcon
moon7Code = "f09c"
moon8Code :: WeatherIcon
moon8Code = "f09d"
moon9Code :: WeatherIcon
moon9Code = "f09e"
moonAltFirstQuarterCode :: WeatherIcon
moonAltFirstQuarterCode = "f0d6"
moonAltFullCode :: WeatherIcon
moonAltFullCode = "f0dd"
moonAltNewCode :: WeatherIcon
moonAltNewCode = "f0eb"
moonAltThirdQuarterCode :: WeatherIcon
moonAltThirdQuarterCode = "f0e4"
moonAltWaningCrescent1Code :: WeatherIcon
moonAltWaningCrescent1Code = "f0e5"
moonAltWaningCrescent2Code :: WeatherIcon
moonAltWaningCrescent2Code = "f0e6"
moonAltWaningCrescent3Code :: WeatherIcon
moonAltWaningCrescent3Code = "f0e7"
moonAltWaningCrescent4Code :: WeatherIcon
moonAltWaningCrescent4Code = "f0e8"
moonAltWaningCrescent5Code :: WeatherIcon
moonAltWaningCrescent5Code = "f0e9"
moonAltWaningCrescent6Code :: WeatherIcon
moonAltWaningCrescent6Code = "f0ea"
moonAltWaningGibbous1Code :: WeatherIcon
moonAltWaningGibbous1Code = "f0de"
moonAltWaningGibbous2Code :: WeatherIcon
moonAltWaningGibbous2Code = "f0df"
moonAltWaningGibbous3Code :: WeatherIcon
moonAltWaningGibbous3Code = "f0e0"
moonAltWaningGibbous4Code :: WeatherIcon
moonAltWaningGibbous4Code = "f0e1"
moonAltWaningGibbous5Code :: WeatherIcon
moonAltWaningGibbous5Code = "f0e2"
moonAltWaningGibbous6Code :: WeatherIcon
moonAltWaningGibbous6Code = "f0e3"
moonAltWaxingCrescent1Code :: WeatherIcon
moonAltWaxingCrescent1Code = "f0d0"
moonAltWaxingCrescent2Code :: WeatherIcon
moonAltWaxingCrescent2Code = "f0d1"
moonAltWaxingCrescent3Code :: WeatherIcon
moonAltWaxingCrescent3Code = "f0d2"
moonAltWaxingCrescent4Code :: WeatherIcon
moonAltWaxingCrescent4Code = "f0d3"
moonAltWaxingCrescent5Code :: WeatherIcon
moonAltWaxingCrescent5Code = "f0d4"
moonAltWaxingCrescent6Code :: WeatherIcon
moonAltWaxingCrescent6Code = "f0d5"
moonAltWaxingGibbous1Code :: WeatherIcon
moonAltWaxingGibbous1Code = "f0d7"
moonAltWaxingGibbous2Code :: WeatherIcon
moonAltWaxingGibbous2Code = "f0d8"
moonAltWaxingGibbous3Code :: WeatherIcon
moonAltWaxingGibbous3Code = "f0d9"
moonAltWaxingGibbous4Code :: WeatherIcon
moonAltWaxingGibbous4Code = "f0da"
moonAltWaxingGibbous5Code :: WeatherIcon
moonAltWaxingGibbous5Code = "f0db"
moonAltWaxingGibbous6Code :: WeatherIcon
moonAltWaxingGibbous6Code = "f0dc"
moonFirstQuarterCode :: WeatherIcon
moonFirstQuarterCode = "f09c"
moonFullCode :: WeatherIcon
moonFullCode = "f0a3"
moonNewCode :: WeatherIcon
moonNewCode = "f095"
moonThirdQuarterCode :: WeatherIcon
moonThirdQuarterCode = "f0aa"
moonWaningCrescent1Code :: WeatherIcon
moonWaningCrescent1Code = "f0ab"
moonWaningCrescent2Code :: WeatherIcon
moonWaningCrescent2Code = "f0ac"
moonWaningCrescent3Code :: WeatherIcon
moonWaningCrescent3Code = "f0ad"
moonWaningCrescent4Code :: WeatherIcon
moonWaningCrescent4Code = "f0ae"
moonWaningCrescent5Code :: WeatherIcon
moonWaningCrescent5Code = "f0af"
moonWaningCrescent6Code :: WeatherIcon
moonWaningCrescent6Code = "f0b0"
moonWaningGibbous1Code :: WeatherIcon
moonWaningGibbous1Code = "f0a4"
moonWaningGibbous2Code :: WeatherIcon
moonWaningGibbous2Code = "f0a5"
moonWaningGibbous3Code :: WeatherIcon
moonWaningGibbous3Code = "f0a6"
moonWaningGibbous4Code :: WeatherIcon
moonWaningGibbous4Code = "f0a7"
moonWaningGibbous5Code :: WeatherIcon
moonWaningGibbous5Code = "f0a8"
moonWaningGibbous6Code :: WeatherIcon
moonWaningGibbous6Code = "f0a9"
moonWaxingCrescent1Code :: WeatherIcon
moonWaxingCrescent1Code = "f096"
moonWaxingCrescent2Code :: WeatherIcon
moonWaxingCrescent2Code = "f097"
moonWaxingCrescent3Code :: WeatherIcon
moonWaxingCrescent3Code = "f098"
moonWaxingCrescent4Code :: WeatherIcon
moonWaxingCrescent4Code = "f099"
moonWaxingCrescent5Code :: WeatherIcon
moonWaxingCrescent5Code = "f09a"
moonWaxingCrescent6Code :: WeatherIcon
moonWaxingCrescent6Code = "f09b"
moonWaxingGibbous1Code :: WeatherIcon
moonWaxingGibbous1Code = "f09d"
moonWaxingGibbous2Code :: WeatherIcon
moonWaxingGibbous2Code = "f09e"
moonWaxingGibbous3Code :: WeatherIcon
moonWaxingGibbous3Code = "f09f"
moonWaxingGibbous4Code :: WeatherIcon
moonWaxingGibbous4Code = "f0a0"
moonWaxingGibbous5Code :: WeatherIcon
moonWaxingGibbous5Code = "f0a1"
moonWaxingGibbous6Code :: WeatherIcon
moonWaxingGibbous6Code = "f0a2"
moonriseCode :: WeatherIcon
moonriseCode = "f0c9"
moonsetCode :: WeatherIcon
moonsetCode = "f0ca"
naCode :: WeatherIcon
naCode = "f07b"
nightAltCloudyCode :: WeatherIcon
nightAltCloudyCode = "f086"
nightAltCloudyGustsCode :: WeatherIcon
nightAltCloudyGustsCode = "f022"
nightAltCloudyHighCode :: WeatherIcon
nightAltCloudyHighCode = "f07e"
nightAltCloudyWindyCode :: WeatherIcon
nightAltCloudyWindyCode = "f023"
nightAltHailCode :: WeatherIcon
nightAltHailCode = "f024"
nightAltLightningCode :: WeatherIcon
nightAltLightningCode = "f025"
nightAltPartlyCloudyCode :: WeatherIcon
nightAltPartlyCloudyCode = "f081"
nightAltRainCode :: WeatherIcon
nightAltRainCode = "f028"
nightAltRainMixCode :: WeatherIcon
nightAltRainMixCode = "f026"
nightAltRainWindCode :: WeatherIcon
nightAltRainWindCode = "f027"
nightAltShowersCode :: WeatherIcon
nightAltShowersCode = "f029"
nightAltSleetCode :: WeatherIcon
nightAltSleetCode = "f0b4"
nightAltSleetStormCode :: WeatherIcon
nightAltSleetStormCode = "f06a"
nightAltSnowCode :: WeatherIcon
nightAltSnowCode = "f02a"
nightAltSnowThunderstormCode :: WeatherIcon
nightAltSnowThunderstormCode = "f06d"
nightAltSnowWindCode :: WeatherIcon
nightAltSnowWindCode = "f067"
nightAltSprinkleCode :: WeatherIcon
nightAltSprinkleCode = "f02b"
nightAltStormShowersCode :: WeatherIcon
nightAltStormShowersCode = "f02c"
nightAltThunderstormCode :: WeatherIcon
nightAltThunderstormCode = "f02d"
nightClearCode :: WeatherIcon
nightClearCode = "f02e"
nightCloudyCode :: WeatherIcon
nightCloudyCode = "f031"
nightCloudyGustsCode :: WeatherIcon
nightCloudyGustsCode = "f02f"
nightCloudyHighCode :: WeatherIcon
nightCloudyHighCode = "f080"
nightCloudyWindyCode :: WeatherIcon
nightCloudyWindyCode = "f030"
nightFogCode :: WeatherIcon
nightFogCode = "f04a"
nightHailCode :: WeatherIcon
nightHailCode = "f032"
nightLightningCode :: WeatherIcon
nightLightningCode = "f033"
nightPartlyCloudyCode :: WeatherIcon
nightPartlyCloudyCode = "f083"
nightRainCode :: WeatherIcon
nightRainCode = "f036"
nightRainMixCode :: WeatherIcon
nightRainMixCode = "f034"
nightRainWindCode :: WeatherIcon
nightRainWindCode = "f035"
nightShowersCode :: WeatherIcon
nightShowersCode = "f037"
nightSleetCode :: WeatherIcon
nightSleetCode = "f0b3"
nightSleetStormCode :: WeatherIcon
nightSleetStormCode = "f069"
nightSnowCode :: WeatherIcon
nightSnowCode = "f038"
nightSnowThunderstormCode :: WeatherIcon
nightSnowThunderstormCode = "f06c"
nightSnowWindCode :: WeatherIcon
nightSnowWindCode = "f066"
nightSprinkleCode :: WeatherIcon
nightSprinkleCode = "f039"
nightStormShowersCode :: WeatherIcon
nightStormShowersCode = "f03a"
nightThunderstormCode :: WeatherIcon
nightThunderstormCode = "f03b"
owm200Code :: WeatherIcon
owm200Code = "f01e"
owm201Code :: WeatherIcon
owm201Code = "f01e"
owm202Code :: WeatherIcon
owm202Code = "f01e"
owm210Code :: WeatherIcon
owm210Code = "f016"
owm211Code :: WeatherIcon
owm211Code = "f016"
owm212Code :: WeatherIcon
owm212Code = "f016"
owm221Code :: WeatherIcon
owm221Code = "f016"
owm230Code :: WeatherIcon
owm230Code = "f01e"
owm231Code :: WeatherIcon
owm231Code = "f01e"
owm232Code :: WeatherIcon
owm232Code = "f01e"
owm300Code :: WeatherIcon
owm300Code = "f01c"
owm301Code :: WeatherIcon
owm301Code = "f01c"
owm302Code :: WeatherIcon
owm302Code = "f019"
owm310Code :: WeatherIcon
owm310Code = "f017"
owm311Code :: WeatherIcon
owm311Code = "f019"
owm312Code :: WeatherIcon
owm312Code = "f019"
owm313Code :: WeatherIcon
owm313Code = "f01a"
owm314Code :: WeatherIcon
owm314Code = "f019"
owm321Code :: WeatherIcon
owm321Code = "f01c"
owm500Code :: WeatherIcon
owm500Code = "f01c"
owm501Code :: WeatherIcon
owm501Code = "f019"
owm502Code :: WeatherIcon
owm502Code = "f019"
owm503Code :: WeatherIcon
owm503Code = "f019"
owm504Code :: WeatherIcon
owm504Code = "f019"
owm511Code :: WeatherIcon
owm511Code = "f017"
owm520Code :: WeatherIcon
owm520Code = "f01a"
owm521Code :: WeatherIcon
owm521Code = "f01a"
owm522Code :: WeatherIcon
owm522Code = "f01a"
owm531Code :: WeatherIcon
owm531Code = "f01d"
owm600Code :: WeatherIcon
owm600Code = "f01b"
owm601Code :: WeatherIcon
owm601Code = "f01b"
owm602Code :: WeatherIcon
owm602Code = "f0b5"
owm611Code :: WeatherIcon
owm611Code = "f017"
owm612Code :: WeatherIcon
owm612Code = "f017"
owm615Code :: WeatherIcon
owm615Code = "f017"
owm616Code :: WeatherIcon
owm616Code = "f017"
owm620Code :: WeatherIcon
owm620Code = "f017"
owm621Code :: WeatherIcon
owm621Code = "f01b"
owm622Code :: WeatherIcon
owm622Code = "f01b"
owm701Code :: WeatherIcon
owm701Code = "f01a"
owm711Code :: WeatherIcon
owm711Code = "f062"
owm721Code :: WeatherIcon
owm721Code = "f0b6"
owm731Code :: WeatherIcon
owm731Code = "f063"
owm741Code :: WeatherIcon
owm741Code = "f014"
owm761Code :: WeatherIcon
owm761Code = "f063"
owm762Code :: WeatherIcon
owm762Code = "f063"
owm771Code :: WeatherIcon
owm771Code = "f011"
owm781Code :: WeatherIcon
owm781Code = "f056"
owm800Code :: WeatherIcon
owm800Code = "f00d"
owm801Code :: WeatherIcon
owm801Code = "f011"
owm802Code :: WeatherIcon
owm802Code = "f011"
owm803Code :: WeatherIcon
owm803Code = "f012"
owm804Code :: WeatherIcon
owm804Code = "f013"
owm900Code :: WeatherIcon
owm900Code = "f056"
owm901Code :: WeatherIcon
owm901Code = "f01d"
owm902Code :: WeatherIcon
owm902Code = "f073"
owm903Code :: WeatherIcon
owm903Code = "f076"
owm904Code :: WeatherIcon
owm904Code = "f072"
owm905Code :: WeatherIcon
owm905Code = "f021"
owm906Code :: WeatherIcon
owm906Code = "f015"
owm957Code :: WeatherIcon
owm957Code = "f050"
owmDay200Code :: WeatherIcon
owmDay200Code = "f010"
owmDay201Code :: WeatherIcon
owmDay201Code = "f010"
owmDay202Code :: WeatherIcon
owmDay202Code = "f010"
owmDay210Code :: WeatherIcon
owmDay210Code = "f005"
owmDay211Code :: WeatherIcon
owmDay211Code = "f005"
owmDay212Code :: WeatherIcon
owmDay212Code = "f005"
owmDay221Code :: WeatherIcon
owmDay221Code = "f005"
owmDay230Code :: WeatherIcon
owmDay230Code = "f010"
owmDay231Code :: WeatherIcon
owmDay231Code = "f010"
owmDay232Code :: WeatherIcon
owmDay232Code = "f010"
owmDay300Code :: WeatherIcon
owmDay300Code = "f00b"
owmDay301Code :: WeatherIcon
owmDay301Code = "f00b"
owmDay302Code :: WeatherIcon
owmDay302Code = "f008"
owmDay310Code :: WeatherIcon
owmDay310Code = "f008"
owmDay311Code :: WeatherIcon
owmDay311Code = "f008"
owmDay312Code :: WeatherIcon
owmDay312Code = "f008"
owmDay313Code :: WeatherIcon
owmDay313Code = "f008"
owmDay314Code :: WeatherIcon
owmDay314Code = "f008"
owmDay321Code :: WeatherIcon
owmDay321Code = "f00b"
owmDay500Code :: WeatherIcon
owmDay500Code = "f00b"
owmDay501Code :: WeatherIcon
owmDay501Code = "f008"
owmDay502Code :: WeatherIcon
owmDay502Code = "f008"
owmDay503Code :: WeatherIcon
owmDay503Code = "f008"
owmDay504Code :: WeatherIcon
owmDay504Code = "f008"
owmDay511Code :: WeatherIcon
owmDay511Code = "f006"
owmDay520Code :: WeatherIcon
owmDay520Code = "f009"
owmDay521Code :: WeatherIcon
owmDay521Code = "f009"
owmDay522Code :: WeatherIcon
owmDay522Code = "f009"
owmDay531Code :: WeatherIcon
owmDay531Code = "f00e"
owmDay600Code :: WeatherIcon
owmDay600Code = "f00a"
owmDay601Code :: WeatherIcon
owmDay601Code = "f0b2"
owmDay602Code :: WeatherIcon
owmDay602Code = "f00a"
owmDay611Code :: WeatherIcon
owmDay611Code = "f006"
owmDay612Code :: WeatherIcon
owmDay612Code = "f006"
owmDay615Code :: WeatherIcon
owmDay615Code = "f006"
owmDay616Code :: WeatherIcon
owmDay616Code = "f006"
owmDay620Code :: WeatherIcon
owmDay620Code = "f006"
owmDay621Code :: WeatherIcon
owmDay621Code = "f00a"
owmDay622Code :: WeatherIcon
owmDay622Code = "f00a"
owmDay701Code :: WeatherIcon
owmDay701Code = "f009"
owmDay711Code :: WeatherIcon
owmDay711Code = "f062"
owmDay721Code :: WeatherIcon
owmDay721Code = "f0b6"
owmDay731Code :: WeatherIcon
owmDay731Code = "f063"
owmDay741Code :: WeatherIcon
owmDay741Code = "f003"
owmDay761Code :: WeatherIcon
owmDay761Code = "f063"
owmDay762Code :: WeatherIcon
owmDay762Code = "f063"
owmDay781Code :: WeatherIcon
owmDay781Code = "f056"
owmDay800Code :: WeatherIcon
owmDay800Code = "f00d"
owmDay801Code :: WeatherIcon
owmDay801Code = "f000"
owmDay802Code :: WeatherIcon
owmDay802Code = "f000"
owmDay803Code :: WeatherIcon
owmDay803Code = "f000"
owmDay804Code :: WeatherIcon
owmDay804Code = "f00c"
owmDay900Code :: WeatherIcon
owmDay900Code = "f056"
owmDay902Code :: WeatherIcon
owmDay902Code = "f073"
owmDay903Code :: WeatherIcon
owmDay903Code = "f076"
owmDay904Code :: WeatherIcon
owmDay904Code = "f072"
owmDay906Code :: WeatherIcon
owmDay906Code = "f004"
owmDay957Code :: WeatherIcon
owmDay957Code = "f050"
owmNight200Code :: WeatherIcon
owmNight200Code = "f02d"
owmNight201Code :: WeatherIcon
owmNight201Code = "f02d"
owmNight202Code :: WeatherIcon
owmNight202Code = "f02d"
owmNight210Code :: WeatherIcon
owmNight210Code = "f025"
owmNight211Code :: WeatherIcon
owmNight211Code = "f025"
owmNight212Code :: WeatherIcon
owmNight212Code = "f025"
owmNight221Code :: WeatherIcon
owmNight221Code = "f025"
owmNight230Code :: WeatherIcon
owmNight230Code = "f02d"
owmNight231Code :: WeatherIcon
owmNight231Code = "f02d"
owmNight232Code :: WeatherIcon
owmNight232Code = "f02d"
owmNight300Code :: WeatherIcon
owmNight300Code = "f02b"
owmNight301Code :: WeatherIcon
owmNight301Code = "f02b"
owmNight302Code :: WeatherIcon
owmNight302Code = "f028"
owmNight310Code :: WeatherIcon
owmNight310Code = "f028"
owmNight311Code :: WeatherIcon
owmNight311Code = "f028"
owmNight312Code :: WeatherIcon
owmNight312Code = "f028"
owmNight313Code :: WeatherIcon
owmNight313Code = "f028"
owmNight314Code :: WeatherIcon
owmNight314Code = "f028"
owmNight321Code :: WeatherIcon
owmNight321Code = "f02b"
owmNight500Code :: WeatherIcon
owmNight500Code = "f02b"
owmNight501Code :: WeatherIcon
owmNight501Code = "f028"
owmNight502Code :: WeatherIcon
owmNight502Code = "f028"
owmNight503Code :: WeatherIcon
owmNight503Code = "f028"
owmNight504Code :: WeatherIcon
owmNight504Code = "f028"
owmNight511Code :: WeatherIcon
owmNight511Code = "f026"
owmNight520Code :: WeatherIcon
owmNight520Code = "f029"
owmNight521Code :: WeatherIcon
owmNight521Code = "f029"
owmNight522Code :: WeatherIcon
owmNight522Code = "f029"
owmNight531Code :: WeatherIcon
owmNight531Code = "f02c"
owmNight600Code :: WeatherIcon
owmNight600Code = "f02a"
owmNight601Code :: WeatherIcon
owmNight601Code = "f0b4"
owmNight602Code :: WeatherIcon
owmNight602Code = "f02a"
owmNight611Code :: WeatherIcon
owmNight611Code = "f026"
owmNight612Code :: WeatherIcon
owmNight612Code = "f026"
owmNight615Code :: WeatherIcon
owmNight615Code = "f026"
owmNight616Code :: WeatherIcon
owmNight616Code = "f026"
owmNight620Code :: WeatherIcon
owmNight620Code = "f026"
owmNight621Code :: WeatherIcon
owmNight621Code = "f02a"
owmNight622Code :: WeatherIcon
owmNight622Code = "f02a"
owmNight701Code :: WeatherIcon
owmNight701Code = "f029"
owmNight711Code :: WeatherIcon
owmNight711Code = "f062"
owmNight721Code :: WeatherIcon
owmNight721Code = "f0b6"
owmNight731Code :: WeatherIcon
owmNight731Code = "f063"
owmNight741Code :: WeatherIcon
owmNight741Code = "f04a"
owmNight761Code :: WeatherIcon
owmNight761Code = "f063"
owmNight762Code :: WeatherIcon
owmNight762Code = "f063"
owmNight781Code :: WeatherIcon
owmNight781Code = "f056"
owmNight800Code :: WeatherIcon
owmNight800Code = "f02e"
owmNight801Code :: WeatherIcon
owmNight801Code = "f022"
owmNight802Code :: WeatherIcon
owmNight802Code = "f022"
owmNight803Code :: WeatherIcon
owmNight803Code = "f022"
owmNight804Code :: WeatherIcon
owmNight804Code = "f086"
owmNight900Code :: WeatherIcon
owmNight900Code = "f056"
owmNight902Code :: WeatherIcon
owmNight902Code = "f073"
owmNight903Code :: WeatherIcon
owmNight903Code = "f076"
owmNight904Code :: WeatherIcon
owmNight904Code = "f072"
owmNight906Code :: WeatherIcon
owmNight906Code = "f024"
owmNight957Code :: WeatherIcon
owmNight957Code = "f050"
rainCode :: WeatherIcon
rainCode = "f019"
rainMixCode :: WeatherIcon
rainMixCode = "f017"
rainWindCode :: WeatherIcon
rainWindCode = "f018"
raindropCode :: WeatherIcon
raindropCode = "f078"
raindropsCode :: WeatherIcon
raindropsCode = "f04e"
refreshCode :: WeatherIcon
refreshCode = "f04c"
refreshAltCode :: WeatherIcon
refreshAltCode = "f04b"
sandstormCode :: WeatherIcon
sandstormCode = "f082"
showersCode :: WeatherIcon
showersCode = "f01a"
sleetCode :: WeatherIcon
sleetCode = "f0b5"
smallCraftAdvisoryCode :: WeatherIcon
smallCraftAdvisoryCode = "f0cc"
smogCode :: WeatherIcon
smogCode = "f074"
smokeCode :: WeatherIcon
smokeCode = "f062"
snowCode :: WeatherIcon
snowCode = "f01b"
snowWindCode :: WeatherIcon
snowWindCode = "f064"
snowflakeColdCode :: WeatherIcon
snowflakeColdCode = "f076"
solarEclipseCode :: WeatherIcon
solarEclipseCode = "f06e"
sprinkleCode :: WeatherIcon
sprinkleCode = "f01c"
starsCode :: WeatherIcon
starsCode = "f077"
stormShowersCode :: WeatherIcon
stormShowersCode = "f01d"
stormWarningCode :: WeatherIcon
stormWarningCode = "f0ce"
strongWindCode :: WeatherIcon
strongWindCode = "f050"
sunriseCode :: WeatherIcon
sunriseCode = "f051"
sunsetCode :: WeatherIcon
sunsetCode = "f052"
thermometerCode :: WeatherIcon
thermometerCode = "f055"
thermometerExteriorCode :: WeatherIcon
thermometerExteriorCode = "f053"
thermometerInternalCode :: WeatherIcon
thermometerInternalCode = "f054"
thunderstormCode :: WeatherIcon
thunderstormCode = "f01e"
time1Code :: WeatherIcon
time1Code = "f08a"
time10Code :: WeatherIcon
time10Code = "f093"
time11Code :: WeatherIcon
time11Code = "f094"
time12Code :: WeatherIcon
time12Code = "f089"
time2Code :: WeatherIcon
time2Code = "f08b"
time3Code :: WeatherIcon
time3Code = "f08c"
time4Code :: WeatherIcon
time4Code = "f08d"
time5Code :: WeatherIcon
time5Code = "f08e"
time6Code :: WeatherIcon
time6Code = "f08f"
time7Code :: WeatherIcon
time7Code = "f090"
time8Code :: WeatherIcon
time8Code = "f091"
time9Code :: WeatherIcon
time9Code = "f092"
tornadoCode :: WeatherIcon
tornadoCode = "f056"
trainCode :: WeatherIcon
trainCode = "f0cb"
tsunamiCode :: WeatherIcon
tsunamiCode = "f0c5"
umbrellaCode :: WeatherIcon
umbrellaCode = "f084"
volcanoCode :: WeatherIcon
volcanoCode = "f0c8"
windBeaufort0Code :: WeatherIcon
windBeaufort0Code = "f0b7"
windBeaufort1Code :: WeatherIcon
windBeaufort1Code = "f0b8"
windBeaufort10Code :: WeatherIcon
windBeaufort10Code = "f0c1"
windBeaufort11Code :: WeatherIcon
windBeaufort11Code = "f0c2"
windBeaufort12Code :: WeatherIcon
windBeaufort12Code = "f0c3"
windBeaufort2Code :: WeatherIcon
windBeaufort2Code = "f0b9"
windBeaufort3Code :: WeatherIcon
windBeaufort3Code = "f0ba"
windBeaufort4Code :: WeatherIcon
windBeaufort4Code = "f0bb"
windBeaufort5Code :: WeatherIcon
windBeaufort5Code = "f0bc"
windBeaufort6Code :: WeatherIcon
windBeaufort6Code = "f0bd"
windBeaufort7Code :: WeatherIcon
windBeaufort7Code = "f0be"
windBeaufort8Code :: WeatherIcon
windBeaufort8Code = "f0bf"
windBeaufort9Code :: WeatherIcon
windBeaufort9Code = "f0c0"
windDirectionCode :: WeatherIcon
windDirectionCode = "f0b1"
windyCode :: WeatherIcon
windyCode = "f021"
wmo468000Code :: WeatherIcon
wmo468000Code = "f055"
wmo468001Code :: WeatherIcon
wmo468001Code = "f013"
wmo468002Code :: WeatherIcon
wmo468002Code = "f055"
wmo468003Code :: WeatherIcon
wmo468003Code = "f013"
wmo468004Code :: WeatherIcon
wmo468004Code = "f014"
wmo468005Code :: WeatherIcon
wmo468005Code = "f014"
wmo468010Code :: WeatherIcon
wmo468010Code = "f014"
wmo468011Code :: WeatherIcon
wmo468011Code = "f014"
wmo468012Code :: WeatherIcon
wmo468012Code = "f016"
wmo468018Code :: WeatherIcon
wmo468018Code = "f050"
wmo468020Code :: WeatherIcon
wmo468020Code = "f014"
wmo468021Code :: WeatherIcon
wmo468021Code = "f017"
wmo468022Code :: WeatherIcon
wmo468022Code = "f017"
wmo468023Code :: WeatherIcon
wmo468023Code = "f019"
wmo468024Code :: WeatherIcon
wmo468024Code = "f01b"
wmo468025Code :: WeatherIcon
wmo468025Code = "f015"
wmo468026Code :: WeatherIcon
wmo468026Code = "f01e"
wmo468027Code :: WeatherIcon
wmo468027Code = "f063"
wmo468028Code :: WeatherIcon
wmo468028Code = "f063"
wmo468029Code :: WeatherIcon
wmo468029Code = "f063"
wmo468030Code :: WeatherIcon
wmo468030Code = "f014"
wmo468031Code :: WeatherIcon
wmo468031Code = "f014"
wmo468032Code :: WeatherIcon
wmo468032Code = "f014"
wmo468033Code :: WeatherIcon
wmo468033Code = "f014"
wmo468034Code :: WeatherIcon
wmo468034Code = "f014"
wmo468035Code :: WeatherIcon
wmo468035Code = "f014"
wmo468040Code :: WeatherIcon
wmo468040Code = "f017"
wmo468041Code :: WeatherIcon
wmo468041Code = "f01c"
wmo468042Code :: WeatherIcon
wmo468042Code = "f019"
wmo468043Code :: WeatherIcon
wmo468043Code = "f01c"
wmo468044Code :: WeatherIcon
wmo468044Code = "f019"
wmo468045Code :: WeatherIcon
wmo468045Code = "f015"
wmo468046Code :: WeatherIcon
wmo468046Code = "f015"
wmo468047Code :: WeatherIcon
wmo468047Code = "f01b"
wmo468048Code :: WeatherIcon
wmo468048Code = "f01b"
wmo468050Code :: WeatherIcon
wmo468050Code = "f01c"
wmo468051Code :: WeatherIcon
wmo468051Code = "f01c"
wmo468052Code :: WeatherIcon
wmo468052Code = "f019"
wmo468053Code :: WeatherIcon
wmo468053Code = "f019"
wmo468054Code :: WeatherIcon
wmo468054Code = "f076"
wmo468055Code :: WeatherIcon
wmo468055Code = "f076"
wmo468056Code :: WeatherIcon
wmo468056Code = "f076"
wmo468057Code :: WeatherIcon
wmo468057Code = "f01c"
wmo468058Code :: WeatherIcon
wmo468058Code = "f019"
wmo468060Code :: WeatherIcon
wmo468060Code = "f01c"
wmo468061Code :: WeatherIcon
wmo468061Code = "f01c"
wmo468062Code :: WeatherIcon
wmo468062Code = "f019"
wmo468063Code :: WeatherIcon
wmo468063Code = "f019"
wmo468064Code :: WeatherIcon
wmo468064Code = "f015"
wmo468065Code :: WeatherIcon
wmo468065Code = "f015"
wmo468066Code :: WeatherIcon
wmo468066Code = "f015"
wmo468067Code :: WeatherIcon
wmo468067Code = "f017"
wmo468068Code :: WeatherIcon
wmo468068Code = "f017"
wmo468070Code :: WeatherIcon
wmo468070Code = "f01b"
wmo468071Code :: WeatherIcon
wmo468071Code = "f01b"
wmo468072Code :: WeatherIcon
wmo468072Code = "f01b"
wmo468073Code :: WeatherIcon
wmo468073Code = "f01b"
wmo468074Code :: WeatherIcon
wmo468074Code = "f076"
wmo468075Code :: WeatherIcon
wmo468075Code = "f076"
wmo468076Code :: WeatherIcon
wmo468076Code = "f076"
wmo468077Code :: WeatherIcon
wmo468077Code = "f01b"
wmo468078Code :: WeatherIcon
wmo468078Code = "f076"
wmo468080Code :: WeatherIcon
wmo468080Code = "f019"
wmo468081Code :: WeatherIcon
wmo468081Code = "f01c"
wmo468082Code :: WeatherIcon
wmo468082Code = "f019"
wmo468083Code :: WeatherIcon
wmo468083Code = "f019"
wmo468084Code :: WeatherIcon
wmo468084Code = "f01d"
wmo468085Code :: WeatherIcon
wmo468085Code = "f017"
wmo468086Code :: WeatherIcon
wmo468086Code = "f017"
wmo468087Code :: WeatherIcon
wmo468087Code = "f017"
wmo468089Code :: WeatherIcon
wmo468089Code = "f015"
wmo468090Code :: WeatherIcon
wmo468090Code = "f016"
wmo468091Code :: WeatherIcon
wmo468091Code = "f01d"
wmo468092Code :: WeatherIcon
wmo468092Code = "f01e"
wmo468093Code :: WeatherIcon
wmo468093Code = "f01e"
wmo468094Code :: WeatherIcon
wmo468094Code = "f016"
wmo468095Code :: WeatherIcon
wmo468095Code = "f01e"
wmo468096Code :: WeatherIcon
wmo468096Code = "f01e"
wmo468099Code :: WeatherIcon
wmo468099Code = "f056"
wuChanceflurriesCode :: WeatherIcon
wuChanceflurriesCode = "f064"
wuChancerainCode :: WeatherIcon
wuChancerainCode = "f019"
wuChancesleatCode :: WeatherIcon
wuChancesleatCode = "f0b5"
wuChancesnowCode :: WeatherIcon
wuChancesnowCode = "f01b"
wuChancetstormsCode :: WeatherIcon
wuChancetstormsCode = "f01e"
wuClearCode :: WeatherIcon
wuClearCode = "f00d"
wuCloudyCode :: WeatherIcon
wuCloudyCode = "f002"
wuFlurriesCode :: WeatherIcon
wuFlurriesCode = "f064"
wuHazyCode :: WeatherIcon
wuHazyCode = "f0b6"
wuMostlycloudyCode :: WeatherIcon
wuMostlycloudyCode = "f002"
wuMostlysunnyCode :: WeatherIcon
wuMostlysunnyCode = "f00d"
wuPartlycloudyCode :: WeatherIcon
wuPartlycloudyCode = "f002"
wuPartlysunnyCode :: WeatherIcon
wuPartlysunnyCode = "f00d"
wuRainCode :: WeatherIcon
wuRainCode = "f01a"
wuSleatCode :: WeatherIcon
wuSleatCode = "f0b5"
wuSnowCode :: WeatherIcon
wuSnowCode = "f01b"
wuSunnyCode :: WeatherIcon
wuSunnyCode = "f00d"
wuTstormsCode :: WeatherIcon
wuTstormsCode = "f01e"
wuUnknownCode :: WeatherIcon
wuUnknownCode = "f00d"
yahoo0Code :: WeatherIcon
yahoo0Code = "f056"
yahoo1Code :: WeatherIcon
yahoo1Code = "f00e"
yahoo10Code :: WeatherIcon
yahoo10Code = "f015"
yahoo11Code :: WeatherIcon
yahoo11Code = "f01a"
yahoo12Code :: WeatherIcon
yahoo12Code = "f01a"
yahoo13Code :: WeatherIcon
yahoo13Code = "f01b"
yahoo14Code :: WeatherIcon
yahoo14Code = "f00a"
yahoo15Code :: WeatherIcon
yahoo15Code = "f064"
yahoo16Code :: WeatherIcon
yahoo16Code = "f01b"
yahoo17Code :: WeatherIcon
yahoo17Code = "f015"
yahoo18Code :: WeatherIcon
yahoo18Code = "f017"
yahoo19Code :: WeatherIcon
yahoo19Code = "f063"
yahoo2Code :: WeatherIcon
yahoo2Code = "f073"
yahoo20Code :: WeatherIcon
yahoo20Code = "f014"
yahoo21Code :: WeatherIcon
yahoo21Code = "f021"
yahoo22Code :: WeatherIcon
yahoo22Code = "f062"
yahoo23Code :: WeatherIcon
yahoo23Code = "f050"
yahoo24Code :: WeatherIcon
yahoo24Code = "f050"
yahoo25Code :: WeatherIcon
yahoo25Code = "f076"
yahoo26Code :: WeatherIcon
yahoo26Code = "f013"
yahoo27Code :: WeatherIcon
yahoo27Code = "f031"
yahoo28Code :: WeatherIcon
yahoo28Code = "f002"
yahoo29Code :: WeatherIcon
yahoo29Code = "f031"
yahoo3Code :: WeatherIcon
yahoo3Code = "f01e"
yahoo30Code :: WeatherIcon
yahoo30Code = "f002"
yahoo31Code :: WeatherIcon
yahoo31Code = "f02e"
yahoo32Code :: WeatherIcon
yahoo32Code = "f00d"
yahoo3200Code :: WeatherIcon
yahoo3200Code = "f077"
yahoo33Code :: WeatherIcon
yahoo33Code = "f083"
yahoo34Code :: WeatherIcon
yahoo34Code = "f00c"
yahoo35Code :: WeatherIcon
yahoo35Code = "f017"
yahoo36Code :: WeatherIcon
yahoo36Code = "f072"
yahoo37Code :: WeatherIcon
yahoo37Code = "f00e"
yahoo38Code :: WeatherIcon
yahoo38Code = "f00e"
yahoo39Code :: WeatherIcon
yahoo39Code = "f00e"
yahoo4Code :: WeatherIcon
yahoo4Code = "f01e"
yahoo40Code :: WeatherIcon
yahoo40Code = "f01a"
yahoo41Code :: WeatherIcon
yahoo41Code = "f064"
yahoo42Code :: WeatherIcon
yahoo42Code = "f01b"
yahoo43Code :: WeatherIcon
yahoo43Code = "f064"
yahoo44Code :: WeatherIcon
yahoo44Code = "f00c"
yahoo45Code :: WeatherIcon
yahoo45Code = "f00e"
yahoo46Code :: WeatherIcon
yahoo46Code = "f01b"
yahoo47Code :: WeatherIcon
yahoo47Code = "f00e"
yahoo5Code :: WeatherIcon
yahoo5Code = "f017"
yahoo6Code :: WeatherIcon
yahoo6Code = "f017"
yahoo7Code :: WeatherIcon
yahoo7Code = "f017"
yahoo8Code :: WeatherIcon
yahoo8Code = "f015"
yahoo9Code :: WeatherIcon
yahoo9Code = "f01a"
